Subject: Re: [PATCH net 7/7] net: tls: fix returned read length with async decrypt

From: Sabrina Dubroca <[email-masked]>
Date: Sat, 10 Feb 2024 10:02:07 +0100

2024-02-06, 17:18:24 -0800, Jakub Kicinski wrote:
> We double count async, non-zc rx data. The previous fix was
> lucky because if we fully zc async_copy_bytes is 0 so we add 0.
> Decrypted already has all the bytes we handled, in all cases.
> We don't have to adjust anything, delete the erroneous line.

I had an adjustment there which I thought was necessary, but I can't
remember why, so let's go with this.

Possibly had to do with partial async cases, since I also played with
a hack to only go async for every other request (or every N requests).

-- 
Sabrina